Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"created_at": "<string>",
"risk_score": 50,
"thresholds": {
"pass_below": 50,
"review_below": 50
},
"summary": "<string>",
"flags": [
{
"category": "<string>",
"title": "<string>",
"description": "<string>",
"pages": [
123
],
"reasons": [
{
"code": "<string>",
"summary": "<string>",
"pages": [
123
],
"evidence": {}
}
]
}
],
"rules": [
{
"id": "<string>",
"title": "<string>",
"score_delta": 123,
"reasoning": "<string>"
}
],
"document": {
"filename": "<string>",
"mime_type": "<string>",
"pages": 123,
"size_bytes": 123,
"sha256": "<string>"
},
"extracted": {
"doc_type": "<string>",
"doc_subtype": "<string>",
"issuer": "<string>",
"name": "<string>",
"address": "<string>",
"document_date": "<string>",
"account_number": "<string>",
"currency": "<string>"
},
"engine": {
"version": "<string>"
},
"error": "<string>",
"object": "document_check"
}
],
"has_more": true,
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Document Checks
List document checks
Newest first. When has_more is true, pass the last id in the page as starting_after to fetch the next one.
GET
/
api
/
v1
/
document-checks
/
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"created_at": "<string>",
"risk_score": 50,
"thresholds": {
"pass_below": 50,
"review_below": 50
},
"summary": "<string>",
"flags": [
{
"category": "<string>",
"title": "<string>",
"description": "<string>",
"pages": [
123
],
"reasons": [
{
"code": "<string>",
"summary": "<string>",
"pages": [
123
],
"evidence": {}
}
]
}
],
"rules": [
{
"id": "<string>",
"title": "<string>",
"score_delta": 123,
"reasoning": "<string>"
}
],
"document": {
"filename": "<string>",
"mime_type": "<string>",
"pages": 123,
"size_bytes": 123,
"sha256": "<string>"
},
"extracted": {
"doc_type": "<string>",
"doc_subtype": "<string>",
"issuer": "<string>",
"name": "<string>",
"address": "<string>",
"document_date": "<string>",
"account_number": "<string>",
"currency": "<string>"
},
"engine": {
"version": "<string>"
},
"error": "<string>",
"object": "document_check"
}
],
"has_more": true,
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Paste your workspace API key from Settings. Sent as Authorization: Bearer .
Query Parameters
Page size, 1-100. Defaults to 20.
A check id. Returns the page of checks created immediately after it.
⌘I